/* REXX */
call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

this=directory()
this=TRANSLATE(this)
datadir=this || '\DATA'
say 'creating directory ' datadir
MD datadir

/* build folder */
say 'Building Folder...'
class='WPFolder'
title='PM Interest'
location='<WP_DESKTOP>'
setup='ICONFILE=' || this || '\FOLDER.ICO;'
setup=setup       || 'OBJECTID=<PMINT_FOLDER>'
result=SysCreateObject(class,title,location,setup,'U')

/* build PMINT icon */
say 'Building Program Object...'
class='WPProgram'
title='PM Interest'
location='<PMINT_FOLDER>'
setup='EXENAME=' || this || '\PMINT.EXE;PROGTYPE=PM;'
setup=setup      || 'STARTUPDIR=' || this || ';'
setup=setup      || 'OBJECTID=<PMINT>'
result=SysCreateObject(class,title,location,setup,'U')

/* build manual */
say 'Building Manual Object...'
class='WPProgram'
title='Manual'
location='<PMINT_FOLDER>'
setup='EXENAME=VIEW.EXE;PROGTYPE=PM;'
setup=setup      || 'STARTUPDIR=' || this || ';'
setup=setup      || 'PARAMETERS=' || this || '\MANUALE.INF;'
setup=setup      || 'OBJECTID=<PMINT_MANUAL>'
result=SysCreateObject(class,title,location,setup,'U')

/* build shadow folder */
say 'Building Shadow Object...'
class='WPShadow'
title='DATA'
location='<PMINT_FOLDER>'
setup='SHADOWID=' || this || '\DATA;OBJECTID=<PMINT_DATA>'
result=SysCreateObject(class,title,location,setup,'U')

call SysDropFuncs

exit
